%define version 0.1.20060928
%define release %mkrel 2
%define epoch 1

Summary:	Unified Chinese True Type font
Name:		fonts-ttf-chinese
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}

#Source0:	ftp://linux.tmtc.edu.tw/pub/arphic/fonts-ttf-chinese.tar.bz2
#Source1:	cidinst.gb2312
#Source2:	cidunin.gb2312
#Source3:	cidinst.big5
#Source4:	cidunin.big5
#Source5:	http://www.study-area.org/apt/firefly-font/fireflysung-1.3.0.tar.bz2
Source6:	cidinst.chinese
Source7:	cidunin.chinese
Source10:	http://apt.debian.org.tw/pool/t/ttf-arphic-ukai/ttf-arphic-ukai_%{version}.orig.tar.gz
Source11:	http://apt.debian.org.tw/pool/t/ttf-arphic-ukai/ttf-arphic-uming_%{version}.orig.tar.gz

URL:		http://www.freedesktop.org/wiki/Software_2fCJKUnifonts
License:	Arphic Public License
Group:		System/Fonts/True type
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%name-%version-%release-root
Requires(post): mkfontdir, mkfontscale, fontconfig
Requires(postun): mkfontdir, mkfontscale, fontconfig
Obsoletes:	fonts-ttf-big5
Provides:	fonts-ttf-big5 = %{epoch}:%{version}-%{release}
Obsoletes:	fonts-ttf-gb2312
Provides:	fonts-ttf-gb2312 = %{epoch}:%{version}-%{release}

%description
Chinese True Type font covering both tranditional and simplified chinese,
in Sung and Kai font face. It was merged by Arne Goetje, using Sung/Kai
face fonts (both in trad. and simp. Chinese) donated by Arphic Technology
Co Ltd.

In addition, it includes embedded 11-16 pixel bitmap fonts done by Firefly,
and HKSCS(Hong Kong) glyphs done by Akar et. al.

%prep
%setup -q -c -T -n fonts-ttf-chinese -a 10 -a 11
 
%build
mkdir doc
# prevent name clash
cp ttf-arphic-ukai-%{version}/README doc/README-ukai
cp ttf-arphic-uming-%{version}/README doc/README-uming
cp ttf-arphic-ukai-%{version}/CONTRIBUTERS ttf-arphic-ukai-%{version}/*.xdelta ttf-arphic-uming-%{version}/*.xdelta doc/

%install
rm -fr %{buildroot}

install -d %{buildroot}/%{_datadir}/fonts/TTF/chinese/
install -m 644 ttf-arphic-ukai-%{version}/ukai.ttf %{buildroot}/%{_datadir}/fonts/TTF/chinese/
install -m 644 ttf-arphic-uming-%{version}/uming.ttf %{buildroot}/%{_datadir}/fonts/TTF/chinese/

# merge fonts.alias
cat ttf-arphic-ukai-%{version}/fonts.alias ttf-arphic-uming-%{version}/fonts.alias > %{buildroot}%{_datadir}/fonts/TTF/chinese/fonts.alias

touch %{buildroot}%{_datadir}/fonts/TTF/chinese/fonts.alias

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/TTF/chinese \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-chinese:pri=50


%post
[ -x %{_bindir}/mkfontdir ] && %{_bindir}/mkfontdir %{_datadir}/fonts/TTF/chinese
[ -x %{_bindir}/mkfontscale ] && %{_bindir}/mkfontscale %{_datadir}/fonts/TTF/chinese
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache 

%postun
if [ "$1" = "0" ]; then
  [ -x %{_bindir}/mkfontdir ] && %{_bindir}/mkfontdir %{_datadir}/fonts/TTF/chinese
  [ -x %{_bindir}/mkfontscale ] && %{_bindir}/mkfontscale %{_datadir}/fonts/TTF/chinese
  [ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache 
fi

%clean
rm -fr %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc doc/*
%dir %{_datadir}/fonts/TTF/chinese/
%{_datadir}/fonts/TTF/chinese/*.ttf
%{_datadir}/fonts/TTF/chinese/fonts.alias
%{_sysconfdir}/X11/fontpath.d/ttf-chinese:pri=50


%changelog
* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.1.20060928-2mdv2008.0
+ Revision: 48739
- fontpath.d conversion (#31756)
- minor cleanups

* Sun Apr 29 2007 Funda Wang <fundawang@mandriva.org> 1:0.1.20060928-1mdv2008.0
+ Revision: 19111
- 2006 is not supported.
- Corrected version for fonts-ttf-chinese.


* Tue Nov 21 2006 Pablo Saratxaga <pablo@mandriva.com> 0.1-0.20060928.1mdv2007.0
+ Revision: 85822
- new version
- new version (that fixes bug #22614)
- moved to /usr/share/fonts/TTF
- Import fonts-ttf-chinese

* Sat Sep 02 2006 Funda Wang <fundawang@gmail.com> 1:0.1-0.20060903.1mdv2007.0
- New snapshot on 20050903

* Sat Sep 02 2006 Funda Wang <fundawang@gmail.com> 1:0.1-0.20060513.3mdv2007.0
- Rebuild to upload new file

* Mon Jun 05 2006 Funda Wang <fundawang@gmail.com> 1:0.1-0.20060513.2mdv2007.0
- Get rid of the bad symbolic link

* Mon Jun 05 2006 Funda Wang <fundawang@gmail.com> 1:0.1-0.20060513.1mdv2007.0
- New snapshot on 20050513

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.1-0.20051009.3mdk
- Fix fc-cache call

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.1-0.20051009.2mdk
- Never ship fonts.cache-2

* Wed Nov 09 2005 Abel Cheung <deaddog@mandriva.org> 1:0.1-0.20051009.1mdk
- Drop old arphic fonts, merge in Arne's unified fonts
- Don't execute any ghostscript stuff, because all scripts are useless

* Sun Apr 17 2005 Abel Cheung <deaddog@mandriva.org> 1.3.0-1mdk
- New release 1.3.0

* Sat Feb 19 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.6-2mdk
- moved _datadir/fonts/zh_TW symlink to fonts-ttf-chinese package
  where it belongs (bug #13508),
- made fonts-ttf-big5 and fonts-ttf-gb2312 require fonts-ttf-chinese,
  so an update will install fonts-ttf-chinese

* Sun Feb 13 2005 Abel Cheung <deaddog@mandrake.org> 1.2.6-1mdk
- Firefly font version 1.2.6
- Mark fontconfig cache files as ghost
- Remove icons -- they should be useless now
- Tidying up description, license etc

* Wed Jan 19 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.0-2mdk
- fixed cdi install scripts (the ghostscript script has directory
  paths hardcoded)

* Fri Jan 07 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.0-1mdk
- new version

* Sun Oct 03 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-21mdk
- added to CID scripts the real postscript names of the ttf fonts

